/* vim: set ai et ts=4 sw=4: */

#ifndef __ogg_decoder_h__
#define __ogg_decoder_h__

void ogg_init(void);
void ogg_play(char *filename);
void ogg_stop(void);
void ogg_pause(gboolean);
void ogg_seek(gint time);
void ogg_next(char *filename);
gboolean ogg_is_our_file(char *filename);
gint ogg_get_cur_time();
gint ogg_get_cur_frame();
gint ogg_get_total_time_frame(char *filename,gint* time,gint* frame);

#endif /*ogg-decoder.h*/
