Summary:      A light-weight music player for Gnome
Summary(ko):  그놈을 위한 작고 가벼운 음악 연주기
Name:         liteamp
Version:      0.2.4.2
Release:      1
URL:          http://kldp.net/projects/liteamp/
Source:       %{name}-%{version}.tar.gz
License:      GPL
Group:        Applications/Multimedia
Packager:     Dongsu Jang <potato@hellocity.net>
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel >= 2.0
BuildRequires: libgnome-devel >= 2.0
BuildRequires: libgnomeui-devel >= 2.0
BuildRequires: gnome-vfs2-devel >= 2.0
BuildRequires: libogg-devel >= 1.0
BuildRequires: libvorbis-devel >= 1.0
BuildRequires: libao-devel >= 0.8
BuildRequires: libmad >= 0.14

Requires:     gtk2 >= 2.0
Requires:     libgnome >= 2.0
Requires:     libgnomeui >= 2.0
Requires:     gnome-vfs2 >= 2.0
Requires:     libogg >= 1.0
Requires:     libvorbis >= 1.0
Requires:     libao >= 0.8

%description
A light-weight music player for Gnome.

%description -l ko
그놈을 위한 작고 가벼운 음악 연주기.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/liteamp.desktop
%{_datadir}/application-registry/liteamp.applications
%{_datadir}/pixmaps/liteamp.png
%{_datadir}/liteamp/pixmaps/*.png
%{_datadir}/locale/*/LC_MESSAGES/liteamp.mo
%{_mandir}/man1/liteamp.1.gz
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README

%changelog
* Sat Feb 15 2003 Sangu <iamboy93@hotmail.com>
- Second rpm spec.

* Tue Jan 28 2003 Dongsu Jang <potato@hellocity.net>
- Initial rpm spec.
