#ifndef __callback_h__
#define __callback_h__

// menu callbacks
void file_new_playlist_activate_cb(GtkMenuItem* menuitem, gpointer data);
void file_remove_playlist_activate_cb(GtkMenuItem* menuitem, gpointer data);
void file_add_file_activate_cb(GtkMenuItem* menuitem, gpointer data);
void file_add_dir_activate_cb(GtkMenuItem* menuitem, gpointer data);
void file_quit_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_cut_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_copy_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_paste_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_clear_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_select_all_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_select_none_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_invert_selection_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_props_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_prefs_activate_cb(GtkMenuItem* menuitem, gpointer data);
void edit_effect_activate_cb(GtkMenuItem* menuitem, gpointer data);
void play_prev_activate_cb(GtkMenuItem* menuitem, gpointer data);
void play_start_activate_cb(GtkMenuItem* menuitem, gpointer data);
void play_stop_activate_cb(GtkMenuItem* menuitem, gpointer data);
void play_pause_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void play_next_activate_cb(GtkMenuItem* menuitem, gpointer data);
void play_keyseek_activate_cb(GtkMenuItem* menuitem, gpointer data);
void play_shuffle_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void play_loop_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void play_vol_up_activate_cb(GtkMenuItem* menuitem, gpointer data);
void play_vol_down_activate_cb(GtkMenuItem* menuitem, gpointer data);
void play_mute_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void play_effect_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void view_toolbar_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void view_statusbar_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void view_sidebar_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void view_play_info_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void view_play_pos_activate_cb(GtkCheckMenuItem* menuitem, gpointer data);
void view_refresh_playlist_activate_cb(GtkMenuItem* menuitem, gpointer data);
void help_about_activate_cb(GtkMenuItem* menuitem, gpointer data);

// toolbar callbacks
void toolbar_prev_activate_cb(GtkButton* button, gpointer data);
void toolbar_start_activate_cb(GtkButton* button, gpointer data);
void toolbar_stop_activate_cb(GtkButton* button, gpointer data);
void toolbar_pause_activate_cb(GtkToggleButton* togglebutton, gpointer data);
void toolbar_next_activate_cb(GtkButton* button, gpointer data);
void toolbar_shuffle_activate_cb(GtkToggleButton* togglebutton, gpointer data);
void toolbar_loop_activate_cb(GtkToggleButton* togglebutton, gpointer data);

// sidebar popup callbacks
void sidebar_props_activate_cb(GtkMenuItem* menuitem, gpointer data);

// playlist popup callbacks
void playlist_props_activate_cb(GtkMenuItem* menuitem, gpointer data);

#endif /*callback.h*/
