/* vim: set ai et ts=4 sw=4: */

#ifndef __dnd_h__
#define __dnd_h__

#ifdef __cplusplus
extern "C" {
#endif

void dnd_connect(GtkWidget* widget);
void dnd_enable(GtkWidget* widget);
void dnd_disable(GtkWidget* widget);

gboolean is_dnd_mime_type_dir(const gchar* mime_type);
gboolean is_dnd_mime_type_supported_file(const gchar* mime_type);

#ifdef __cplusplus
}
#endif

#endif /*dnd.h*/
